Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 176675 - NetworkManager does not reconnect when laptop wakes up
Summary: NetworkManager does not reconnect when laptop wakes up
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-12-29 12:44 UTC by Daniel Walsh
Modified: 2008-12-26 15:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-04 15:26:28 UTC


Attachments (Terms of Use)
Login prompt for the keyring (deleted)
2005-12-30 01:55 UTC, jim
no flags Details

Description Daniel Walsh 2005-12-29 12:44:41 UTC
Description of problem:

Not sure if this is a gnome-power-manager problem or a NetworkManager, but 
NetworkManager does not attempt a reconnect when I open my lid of my laptop.

If I do a NetworkManager restart, the network comes back up.

Comment 1 jim 2005-12-30 01:55:30 UTC
Created attachment 122637 [details]
Login prompt for the keyring

Comment 2 Kaj J. Niemi 2006-01-05 06:56:49 UTC
I've noticed the same thing running Rawhide on a T40p and using wireless
(ipw2100) although I do not get a login prompt. Network Manager seems to loose
its state or something.

Comment 3 Kyrre Ness Sjøbæk 2006-02-16 20:56:20 UTC
Strange. I have no problems with reconnecting at wakeup - altough i don't use
link-layer crypto.

Comment 4 Matthias Clasen 2006-02-21 18:55:19 UTC
Could be a hal issue, I hear. 

Comment 5 Ray Strode [halfline] 2006-03-02 19:38:59 UTC
Hi Dan,

Do you have any interesting warning messages from gnome-power-manager in your
/tmp/xses-$(whoami).* file?

Comment 6 Daniel Walsh 2006-03-04 15:26:28 UTC
I have had a lot of other problems even restarting, so I think we should just
close this for now.  And I will reopen If I still see it.


Note You need to log in before you can comment on or make changes to this bug.